Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class EscherRecordHolder

    java.lang.Object
      org.apache.poi.hwpf.model.EscherRecordHolder

    public final class EscherRecordHolder

extends java.lang.Object

Based on AbstractEscherRecordHolder from HSSF.

Author:
  Squeeself

Constructor Summary
`EscherRecordHolder()`
`EscherRecordHolder(byte[] data, int offset, int size)`

Method Summary
`EscherRecord` | `findFirstWithId(short id)` Descends into all our children, returning the first EscherRecord with the given id, or null if none found
`EscherContainerRecord` | `getEscherContainer()` If we have a EscherContainerRecord as one of our children (and most top level escher holders do), then return that.
`java.util.List<EscherRecord>` | `getEscherRecords()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EscherRecordHolder

    public EscherRecordHolder()

### EscherRecordHolder

    public EscherRecordHolder(byte[] data,
                              int offset,
                              int size)

Method Detail

### getEscherRecords

    public java.util.List<EscherRecord> getEscherRecords()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getEscherContainer

    public EscherContainerRecord getEscherContainer()

  If we have a EscherContainerRecord as one of our children (and most top level escher holders do), then return that.

### findFirstWithId

    public EscherRecord findFirstWithId(short id)

  Descends into all our children, returning the first EscherRecord with the given id, or null if none found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.